W_DO_WORK(3)

FUNCTION
w_do_work - Do some work.

SYNOPSIS
#include <karma_w.h>

flag w_do_work

()

DESCRIPTION
This routine will call any pending work functions. The work function at the top of the list is called once only.

RETURN VALUE
TRUE if more work is left to be done, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/